Bug 49168 - [PATCH] pass references from parent build to antunit scripts
[PATCH] pass references from parent build to antunit scripts
Status: RESOLVED FIXED
Product: Ant
Classification: Unclassified
Component: AntUnit
1.1
All All
: P2 enhancement with 1 vote (vote)
: 1.2
Assigned To: Ant Notifications List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-04-21 22:19 UTC by tormp
Modified: 2014-03-04 01:14 UTC (History)
1 user (show)



Attachments
patch with code, doc, test (22.46 KB, application/octet-stream)
2010-04-21 22:19 UTC, tormp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tormp 2010-04-21 22:19:59 UTC
Created attachment 25330 [details]
patch with code, doc, test

This is useful for test cases to share filesets, Ivy configuration, or other bootstrapping code, and for testing of scripts that are designed to be included in larger builds.

The idea was discussed briefly on ant-dev:
http://marc.info/?l=ant-dev&m=127052620705611&w=2

The attached patch tries to mimic the behavior of <propertySet>:

* support single reference inheritance
* support for multiple reference inheritance with regex, <referenceSet> grouping
* support for prefixing or transforming reference names with a <mapper>

<ant><reference/></ant> tries to clone the reference value in the sub-build.  I preserved that behavior for consistency, even though it seemed a little strange.
Comment 1 Stefan Bodewig 2010-04-30 00:28:38 UTC
added a modified version with svn revision 939555, thanks!

It may be worth to look into extracting the common logic of your changes and the <ant> task into a helper in Ant's core that could be used by both tasks - but then AntUnit's next release couldn't be released without a new release of Ant.
Comment 2 tormp 2010-04-30 22:07:19 UTC
awesome, thanks for including this.
Comment 3 BASANT KUMAR 2014-03-04 01:14:43 UTC
Comment on attachment 25330 [details]
patch with code, doc, test

hello,bugzill is my show page no create,please help,how to make this my bug page?